- Qt 6.9
- Qt Labs Platform
- QML Types
- MenuBar
- Qt 6.9.2 Reference Documentation

# MenuBar QML Type

A native menubar. More...

Import Statement: | `import Qt.labs.platform`
Inherits: | QtObject

- List of all members, including inherited members

## Properties

- data : list<QtObject>
- menus : list<Menu>
- window : Window

## Methods

- void addMenu(Menu menu)
- void clear()
- void insertMenu(int index, Menu menu)
- void removeMenu(Menu menu)

## Detailed Description

The MenuBar type provides a QML API for native platform menubars.

A menubar consists of a list of drop-down menus.

     MenuBar {
         id: menuBar

         Menu {
             id: fileMenu
             title: qsTr("File")
             // ...
         }

         Menu {
             id: editMenu
             title: qsTr("&Edit")
             // ...
         }

         Menu {
             id: viewMenu
             title: qsTr("&View")
             // ...
         }

         Menu {
             id: helpMenu
             title: qsTr("&Help")
             // ...
         }
     }

MenuBar is currently available on the following platforms:

- macOS
- Android
- Linux (only available on desktop environments that provide a global D-Bus menu bar)
- Windows

Note: Types in Qt.labs modules are not guaranteed to remain compatible in future versions.

See also Menu.

## Property Documentation

data : list<QtObject> `[default]`

This default property holds the list of all objects declared as children of the menubar. The data property includes objects that are not Menu instances, such as Timer and QtObject.

See also menus.

menus : list<Menu>

This property holds the list of menus in the menubar.

window : Window

This property holds the menubar's window.

Unless explicitly set, the window is automatically resolved by iterating the QML parent objects until a Window or an Item that has a window is found.

## Method Documentation

void addMenu(Menu menu)

Adds a menu to end of the menubar.

void clear()

Removes all menus from the menubar.

void insertMenu(int index, Menu menu)

Inserts a menu at the specified index in the menubar.

void removeMenu(Menu menu)

Removes a menu from the menubar.